## Get Agent

### cURL

```
curl --request GET \
  --url https://your-org.platform.barndoor.ai/api/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://your-org.platform.barndoor.ai/api/agents/{agent_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://your-org.platform.barndoor.ai/api/agents/{agent_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://your-org.platform.barndoor.ai/api/agents/{agent_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
}
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://your-org.platform.barndoor.ai/api/agents/{agent_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```
HttpResponse<String> response = Unirest.get("https://your-org.platform.barndoor.ai/api/agents/{agent_id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://your-org.platform.barndoor.ai/api/agents/{agent_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Codes
#### 200

```
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application_directory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application_directory": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "public": true,
    "dcr": true,
    "post_login_success": true,
    "callbacks": [
      "<string>"
    ]
  }
}
```

#### 422

```
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}
```

### Authorizations

**Authorization**  
string  
header  
required  
JWT token obtained through Barndoor's OAuth 2.0 authorization-code flow with PKCE.  
The token should be included in the Authorization header:  
`Authorization: Bearer <your-jwt-token>`  
Use the Barndoor SDK's `loginInteractive()` function to obtain tokens automatically.

### Path Parameters

- **agent_id**  
  string<uuid>  
  required

### Response

#### 200

**application/json**  
Successful Response  
- **id**  
  string<uuid>  
  required  
- **created_at**  
  string<date-time>  
  required  
- **updated_at**  
  string<date-time>  
  required  
- **organization_id**  
  string<uuid>  
  required  
- **application_directory_id**  
  string<uuid>  
  required  
- **application_directory**  
  AgentDirectoryBase · object  
  required

#### Agent Type
- **agent_type**  
  enum<string>  
  required  
  read-only  
  Determine agent type based on application directory properties.  
  Available options:  
  `internal`,  
  `external`
